clienti/urls.py
from django.conf.urls import url
from . import views

urlpatterns = [
    url(r'client/add/$', views.ClientCreate.as_view(), name='client-create'),
    url(r'client/(?P<pk>[0-9]+)/$', views.ClientUpdate.as_view(), name='client-update'),
    url(r'client/(?P<pk>[0-9]+)/delete/$', views.ClientDelete.as_view(), name='client-delete'),
    url(r'', views.servicii_clienti, name='clienti'),
]

mysite/urls.py
from django.conf.urls import url, include
from django.contrib import admin


urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^homepage/', include('homepage.urls', namespace="homepage")),
    url(r'^servicii/', include('servicii.urls', namespace='servicii')),
    url(r'^clienti/', include('clienti.urls', namespace='clienti')),
    url(r'^', include('account.urls', namespace='account')),
]

clienti/models.py
from django.db import models

# Create your models here.

homepage/models.py
import datetime

from django.utils.timezone import get_current_timezone
from django.db import models
from django.urls import reverse
from django.utils import timezone


class Serviciu(models.Model):
    serviciu = models.CharField(max_length=200)

    class Meta:
        verbose_name_plural = "servicii"

    def __str__(self):
        return self.serviciu

    def get_absolute_url(self):
        return reverse('serviciu-detail', kwargs={'pk': self.pk})


class Client(models.Model):
    nume = models.CharField(max_length=50)
    prenume = models.CharField(max_length=50)
    servicii = models.ManyToManyField(Serviciu)
    data_ora = models.DateTimeField(default=timezone.now)

    class Meta:
        verbose_name_plural = "clienti"

    def __str__(self):
        if (type(self.data_ora) != str):
            return self.nume.capitalize() + " " + self.prenume.capitalize() + \
                   " - " + self.data_ora.strftime("%Y-%m-%d %H:%M")
        else:
            return self.nume.capitalize() + " " + self.prenume.capitalize() + \
                   " - " + self.data_ora

    def get_absolute_url(self):
        return reverse('clienti:clienti')

    def programat_azi(self):
        return ((self.data_ora <= timezone.now() + datetime.timedelta(days=1)) and
                (self.data_ora >= timezone.now()))

    def get_date(self):
        "Returns the client's appointment date."
        return '%s' % (self.data_ora)

    def get_full_name(self):
        "Returns the client's full name."
        return '%s:%s %s' % (self.pk, self.nume.capitalize(), self.prenume.capitalize())

clienti/views.py
from django.shortcuts import render
from django.views.generic import CreateView, UpdateView, DeleteView
from django.core.urlresolvers import reverse_lazy
from django.contrib.auth.decorators import login_required

from homepage.forms import ClientForm
from homepage.models import Client, Serviciu


@login_required()
def servicii_clienti(request):
    servicii = Serviciu.objects.all()
    return render(request, 'clienti/clienti.html', {'servicii': servicii})


class ClientCreate(CreateView):
    model = Client
    template_name = 'clienti/client_form.html'
    form_class = ClientForm


class ClientUpdate(UpdateView):
    model = Client
    template_name = 'clienti/client_form.html'
    form_class = ClientForm


class ClientDelete(DeleteView):
    model = Client
    success_url = reverse_lazy('clienti:clienti')

clienti/templates/clienti/client_form.html
{% extends 'homepage/base.html' %} {% block content %}
<div class="container">

    <form class="form-horizontal" method="POST" action="" role="form">
        {% csrf_token %} {% include 'homepage/form-template.html' %}

        <div class="form-group row">
            <div class="col-sm-3">
                <button type="submit" class="btn btn-info" value="submit">Introdu</button>
            </div>

            <div class="col-sm-offset-1 col-sm-3">
                <button class="btn btn-warning" id="btn-back">Inapoi</button>
            </div>
        </div>

    </form>
</div>

{% endblock %}

clienti/templates/clienti/clienti.html
{% extends 'homepage/base.html' %} {% block content %}

<div class="container">

    {% for serviciu in servicii %}

    <div class="row">
        <div class="col-sm-5">
            <h3> {{ serviciu }} </h3>
        </div>
    </div>
    {% for client in serviciu.client_set.all %}
    <div class="row">
        <div class="col-sm-5">
            <a href="{% url 'clienti:client-update' client.id %}">{{ client }}</a>
        </div>
        <div class="col-sm-1">
            <a href="{% url 'clienti:client-delete' client.id %}">
                  <i class="glyphicon glyphicon-remove"></i>
                </a>
        </div>
    </div>
    {% endfor %} 
    {% endfor %}

</div>

{% endblock %}